{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
in

mkIf cfg.virtualbox {

  # Paquets
  environment.systemPackages = with pkgs; [
    linuxPackages.virtualbox
    linuxPackages.virtualboxGuestAdditions
  ];

  # À décommenter pour activer le pack d'extension
  #boot.kernelPackages = pkgs.linuxPackages // {
  #  virtualbox = pkgs.linuxPackages.virtualbox.override {
  #    enableExtensionPack = true;
  #    pulseSupport = true;
  #  };
  #};

  virtualisation.virtualbox.host.enable = true;
}
